#include "Image/CameraParam.hh"
#include "Image/RigParameter.hh"
#include <iostream>
using namespace BIAS;
using namespace std;

int main (int argc, char* argv[])
{
  CameraParam cp;
  RigParameter rp;
 
#ifdef BIAS_HAVE_XML2
  if (argc<2) {
    cout <<"no file given, using some build-in data"<<endl;
    cp.SetData_OMNITECH_ORIFL_190_3();
  }
  else cp.ReadCameraData(argv[1]);
  
  if (argc<3) {
    cout <<"no rig file given, using some build-in data"<<endl;
    rp.SetData_DummyRig();
  } else {
    rp.ReadRigData(argv[2]);  
  }
  cp.DebugOut();
  cp.WriteCameraData("CamDataTest.xml");
  cout <<"CamDataTest.xml created" << endl;
  //cp.DebugOut();

  CameraParam cp2;
  cp2.ReadCameraData("CamDataTest.xml");
  cp2.DebugOut();
  cp2.WriteCameraData("CamDataTestRewrite.xml");
  cout <<"CamDataTestRewrite.xml created" << endl;

  rp.WriteRigData("RigDataTest.xml");
  cout <<"RigDataTest.xml created" << endl;

   RigParameter rp2;
   rp2.ReadRigData("RigDataTest.xml");
   rp2.WriteRigData("RigDataTestRewrite.xml");
   cout <<"RigDataTestRewrite.xml created" << endl;
#endif
  return 0;  
}
