@echo off
REM 
REM script for WIN32 cmake build system
REM for users not familar with cmake
REM using a default configuration and (out-of-place) build
REM 
REM -----------------------------------
REM You could also use the graphcial interface 
REM   CMakeSetup.exe 
REM directly if you want.
REM 
REM 
REM ------------------------------------
REM Jan Woetzel
REM MIP/CAU Kiel/Germany
REm jw -at- mip.informatik.uni-kiel.de
REM (c) Feb 2004
REM ------------------------------------
REM 

REM build root directory und project/build subdir name:
REM relative path from source dir: 
set BUILDSUB=..\..\build\BIAS


REM check for empty command line args: 

IF "%*"=="" GOTO RUN
echo +++++++++++++++++++++++++++++++++++++++++++++++++++ 
echo warning:	
echo You can add command line params, 
echo however, please use ccmake/CMakeSetup gui 
echo for build specific command line args:  %* 
echo +++++++++++++++++++++++++++++++++++++++++++++++++++

:RUN
set GENERATOR="Visual Studio 7 .NET 2003"
set SOURCEDIR=%CD%
set BUILDDIR=%SOURCEDIR%\%BUILDSUB%

REM out-of-source build:
echo CONFIGURE script using CMake for generator %GENERATOR% with 
cmake --version
echo SOURCEDIR=%SOURCEDIR%
echo BUILDDIR= %BUILDDIR%

@echo on
mkdir %BUILDDIR%
cd %BUILDDIR%
cmake -G%GENERATOR% %* %SOURCEDIR%
@echo off

pause

